package com.zipcodewilmington;

/**
 * Created by leon on 1/24/18.
 */
public class PersonHandler {
    private final Person[] personArray;

    public PersonHandler(Person[] personArray) {
        this.personArray = personArray;
    }

    public String whileLoop() {
        String result = "";

        // assume there is a `counter`
        // while `counter` is less than length of array
            // begin loop

                // use `counter` to identify the `current Person` in the array
                // get `string Representation` of `currentPerson`
                // append `stringRepresentation` to `result` variable

            // end loop

        int counter = 0;

        while (counter < personArray.length) {
            Person currentPerson = personArray[counter];
            String stringRepresentation = currentPerson.toString();
            result = result.concat(stringRepresentation);
            counter++;
        }

        return result;
    }



    public String forLoop() {
        String result = "";

        // identify initial value
        // identify terminal condition
        // identify increment

        // use the above clauses to declare for-loop signature
            // begin loop
                // use `counter` to identify the `current Person` in the array
                // get `string Representation` of `currentPerson`
                // append `stringRepresentation` to `result` variable
            // end loop

        int initial;
        int termCon = personArray.length;
        int increment = 1;

        for (initial = 0; initial < termCon; initial += increment) {
            Person currentPerson = personArray[initial];
            String stringRepresentation = currentPerson.toString();
            result = result.concat(stringRepresentation);
        }

        return result;
    }



    public String forEachLoop() {
        String result = "";

        // identify array's type
        // identify array's variable-name

        // use the above discoveries to declare for-each-loop signature
            // begin loop
                // get `string Representation` of `currentPerson`
                // append `stringRepresentation` to `result` variable
            // end loop

        for (Person currentPerson : personArray) {
            String stringRepresentation = currentPerson.toString();
            result = result.concat(stringRepresentation);
        }

        return result;
    }


    public Person[] getPersonArray() {
        return personArray;
    }
}
